*:focus {
    outline: none;
}

* {
    box-sizing: border-box;
}

body {
    overflow-x: hidden;
    background: #e2e2e2;
}

div.wrapper {
    max-width: 700px;
    margin: 0 auto;
    position: relative;
}
div.wrapper .not-ready {
    opacity: 0.5;
    pointer-events: none;
}
div.wrapper img {
    display: none;
    max-width: 700px;
}
div.wrapper img.active {
    display: block;
}
div.wrapper div.stage {
    position: relative;
    display: none;
}
div.wrapper div.stage.active {
    display: block;
}
div.wrapper .restart {
    display: none;
}
div.wrapper .restart.active {
    display: block;
}
div.wrapper .location {
    position: absolute;
    width: 30px;
    height: 30px;
    background: black;
    z-index: 2;
    cursor: grab;
    opacity: 0;
}
div.wrapper .location.one {
    left: 260px;
    top: 70px;
}
div.wrapper .location.one.right {
    left: 405px;
}
div.wrapper .location.two {
    left: 260px;
    top: 151px;
}
div.wrapper .location.two.right {
    left: 401px;
    top: 155px;
}
div.wrapper .location.three {
    top: 190px;
    left: 350px;
}
div.wrapper .location.four {
    top: 240px;
    left: 335px;
}
div.wrapper .location.five {
    top: 225px;
    left: 190px;
}
div.wrapper .location.five.right {
    top: 550px;
    left: 515px;
    height: 40px;
}
div.wrapper .location.six {
    top: 350px;
    left: 270px;
    width: 150px;
    height: 40px;
}
div.wrapper .location.seven {
    left: 335px;
    height: 60px;
    top: 430px;
}
div.wrapper .location.eight {
    left: 335px;
    top: 515px;
}
div.wrapper .disabled {
    pointer-events: none;
}
div.wrapper .question {
    display: none;
}
div.wrapper .question.active {
    display: flex;
}
div.wrapper .interactions {
    max-width: 66%;
    border-top: 1px solid black;
    margin: 0 auto;
    margin-top: 2em;
    padding-top: 1em;
}
div.wrapper .interactions p.jap {
    padding-top: 1em;
}
div.wrapper .interactions .question {
    justify-content: space-between;
}
div.wrapper .interactions .question button {
    padding: 0.3em 3em;
    width: 40%;
    border-radius: 1em;
    font-size: 25px;
}
div.wrapper .interactions .first-interaction div {
    margin-top: 1em;
}
div.wrapper .interactions .first-interaction input {
    background: none;
    border: 1px solid #6495bb;
    color: #6495bb;
    max-width: 40%;
    width: 100%;
    margin: 0 auto;
    display: inline-block;
    border-radius: 1.5em;
    padding: 0.5em 1em;
    font-size: 16px;
}
div.wrapper .interactions .first-interaction button {
    padding: 0.5em 2em;
    border-radius: 1.5em;
    font-size: 16px;
    min-height: 30px;
}

button {
    transition: 0.3s all;
    background-color: transparent;
    border: 1px solid #6495bb;
    color: #6495bb;
    cursor: pointer;
    padding: 0.5em 2em;
    border-radius: 1.5em;
    font-size: 16px;
    min-height: 30px;
}
button:hover {
    background: #6495bb;
    color: white;
}

.restart-last-stage {
    position: absolute;
    right: 20px;;
    bottom: 20px;
}

.restart-last-stage button {
    background: white;
}

.restart-last-stage button:hover {
    background: #6495bb;
}

@media (max-width: 600px) {
    body {
        transform: scale(0.8);
        margin: -10%;
    }

    div.wrapper {
        margin: -25%;
    }

    div.wrapper .interactions {
        width: auto;
        padding: 1em;
    }
}